LibreOffice: Column Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
Column Service Referencepublished

describes the common properties of a database column. More...

Inheritance diagram for Column:

## Exported Interfaces
interface | XDataDescriptorFactory
| optional, could be used to copy a database column.
interface | com::sun::star::beans::XPropertySet

## Public Attributes
string | Name
| is the name of the column.
long | Type
| is the com::sun::star::sdbc::DataType of the column.
string | TypeName
| is the type name used by the database.
long | Precision
| gets a column's number of decimal digits.
long | Scale
| gets a column's number of digits to right of the decimal point.
long | IsNullable
| indicates the nullability of values in the designated column.
boolean | IsAutoIncrement
| indicates whether the column is automatically numbered, thus read-only.
boolean | IsCurrency
| indicates whether the column is a cash value.
boolean | IsRowVersion
| indicates that the column contains some kind of time or date stamp used to track updates.
string | Description
| keeps a description of the object.
string | DefaultValue
| keeps a default value for a column, is provided as string.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

describes the common properties of a database column.

Developers Guide
  Database Access - Column Service

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ XDataDescriptorFactory

interface XDataDescriptorFactory
| optional

optional, could be used to copy a database column.

## Member Data Documentation

## ◆ DefaultValue

string DefaultValue
| optionalpropertyreadonly

keeps a default value for a column, is provided as string.

## ◆ Description

string Description
| optionalpropertyreadonly

keeps a description of the object.

## ◆ IsAutoIncrement

boolean IsAutoIncrement
| propertyreadonly

indicates whether the column is automatically numbered, thus read-only.

See also
  com::sun::star::sdbc::ColumnValue

## ◆ IsCurrency

boolean IsCurrency
| propertyreadonly

indicates whether the column is a cash value.

## ◆ IsNullable

long IsNullable
| propertyreadonly

indicates the nullability of values in the designated column.

See also
  com::sun::star::sdbc::ColumnValue

## ◆ IsRowVersion

boolean IsRowVersion
| optionalpropertyreadonly

indicates that the column contains some kind of time or date stamp used to track updates.

## ◆ Name

string Name
| propertyreadonly

is the name of the column.

## ◆ Precision

long Precision
| propertyreadonly

gets a column's number of decimal digits.

## ◆ Scale

long Scale
| propertyreadonly

gets a column's number of digits to right of the decimal point.

## ◆ Type

long Type
| propertyreadonly

is the com::sun::star::sdbc::DataType of the column.

## ◆ TypeName

string TypeName
| propertyreadonly

is the type name used by the database.

If the column type is a user-defined type, then a fully-qualified type name is returned. Note: May be empty.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/Column.idl